---
title: "Retrieve templates"
slug: "retrieve-templates"
abstract: "Describes how to retrieve web templates or decision templates using the Sitecore Personalize Template REST API."
---
# Retrieve templates

`GET /v3/templates`

Retrieves all templates.

In the response, in every object in the `items` array, the `ref` key contains the template reference.

You use the template reference to interact with a specific template, for example, to [retrieve](https://doc.sitecore.com/personalize/en/developers/api/rest-apis/template-rest-api/retrieve-a-template.html "Retrieve a template") or [update](https://doc.sitecore.com/personalize/en/developers/api/rest-apis/template-rest-api/update-a-template.html "Update a template") it.

```curl
curl -X GET '<baseURL>/v3/templates' \
-H 'Authorization: Bearer <accessToken>' \
-H 'Accept: application/json'

```

```json
{
  "href": "<baseURL>/v3/templates",
  "items": [
    {
    "clientKey": "pqsPERS3lw12v5a9rrHPW1c4hET73GxQ",
    "href": "<baseURL>/v3/templates/340ced1b-c9b7-43f0-9eec-2b9f0b7693fa",
    "ref": "340ced1b-c9b7-43f0-9eec-2b9f0b7693fa",
    "name": "Alert bar template 1",
    "description": "Alert bar template WEB",
    "modifiedByRef": "zwxCA58jwLzfeU2mNGgalCpoJzNVYOJl@clients",
    "modifiedAt": "2026-07-12T10:`56:46`.53994Z",
    "revision": 1,
    "archived": false,
    "friendlyId": "alert_bar_template_1",
    "type": "WEB",
    "status": "DRAFT",
    "templateElements": [
        {
            "id": "html",
            "template": "<div id=\"test\">My test div</div>"
        },
        {
            "id": "css",
            "template": "#test {text-transform: uppercase}"
        },
        {
            "id": "js",
            "template": "insertHTMLBefore(\"body\");\n\nconst testDiv = document.querySelector(\"#test\");\ntestDiv.insertAdjacentHTML(\"afterbegin\", \"<p>Hello from JavaScript</p>\")"
        },
        {
            "id": "freemarker",
            "template": "{}"
        }
    ],
    "render": false,
    "defaultTemplate": false,
    "tags": [],
    "customTemplate": true
    }
  ]
}

```